2
votes
1answer
121 views

Should I upgrade to “Ubuntu 14.04 'Trusty Tahr'” from “Ubuntu 12.04 LTS” and what care do I need to take if I upgrade? [duplicate]

I'm basically a Web Developer(PHP Developer) by profession. I mainly work on PHP, jQuery, AJAX, Smarty, HTML and CSS, Bootstrap front-end web development framework. I've also installed and using ...
0
votes
1answer
57 views

How to upgrade php in ubuntu 14.04 ?

My current version is php5.4 , I want to upgrade from 5.4 to 5.5. I'am a new to linux so Ubuntu.
1
vote
1answer
820 views

Error installing OCI8 on Ubuntu 14.04

I've just upgraded my VM to Ubuntu 14.04, and my OCI8 PHP driver has stopped working. I've tried to install/upgrade it, but it doesn't work. That's the error messages I get: ...
0
votes
0answers
173 views

How to restore deleted PHP files using scalpel

I upgraded 13.10 to 14.04. After the upgrade finished, unfortunately found out that /var/www/ folder has been deleted (I didn't know that upgrade does the same as fresh install!!!). I have searched a ...
3
votes
1answer
2k views

php-pear is not working after upgrading to Ubuntu 14.04 [closed]

After upgrading to Ubuntu 14.04 php-pear is failing to install any packages. sudo pear install --alldeps --force pear.phpunit.de/PHPUnit downloading PHPUnit-4.0.17.tgz ... Starting to download ...
0
votes
0answers
298 views

How to upgrade to PHP 5.3.23

I'm trying to install zendframework through composer. Using the command, php5 composer.phar install Then I get the error: Problem 1 - Installation request for zendframework/zendframework 2.3.* ...
2
votes
1answer
454 views

Upgrade php5-gd on 12.04

I'm aware there's already a post with the same title, but my question is different: as I explain it in a Stack Overflow post, I need to use a more recent version of php-gd in my 12.04 Ubuntu than the ...
0
votes
1answer
55 views

upgrading pdftk 1.41 to 1.44 how can I check for breaking changes?

I have the wonderful task of finding out what ( if any ) breaking changes are if we upgrade from PDFTK 1.41 to 1.44 Here is our use-case We use PDFTK on the command line from a PHP application ...
0
votes
3answers
411 views

upgrade php - php5 is already the newest version. - but it is not

Followed steps on Update server php version to 5.4.10 via the command line and finnaly I get message that it is newest. But it is 5.36 - its far from newest. I want at least 5.37 so my laravel ...
1
vote
1answer
173 views

issue with installing php 5.4.9 with apt

I used a script for downgrade php from php 5.4 to php 5.3 it workded.Now i want to upgrade my php to php 5.4.9 with synaptic form Package->Force Version when i want to apply the chanes it gives me ...
0
votes
1answer
63 views

if i manually compile php, should i uninstall it in dpkg first?

Around 2 years ago I attempted my first PHP compile and succedded. I occasionaly upgrade my compile script as I add modules and new versions come out. However, I'm finding that apt-get unattended ...
0
votes
1answer
45 views

Upgrading Ubuntu Server to a recent version would update PHP too? This result in any problems?

I use Ubuntu Server 10.04 and PHP 5.3.2, if I upgrade the server to a more recent version, the PHP would update too? Would this process result in some problem in the settings of PHP, like previously ...
0
votes
0answers
128 views

PHP stat fails for files on a cifs (smb) mount

I've recently upgraded from 13.04 to 13.10, and I have a PHP script that checks files inside a CIFS (SMB) mount (from an external HD connected to an Apple Airport Extreme). Problem is that any ...
1
vote
2answers
167 views

Does an upgrade from 12.10 to 13.04 will effect the version of PHP/other packages installed?

My work laptop is running Ubuntu 12.10 (32-bit). Due to the need to be able to test our code in the same versions of PHP, Memcache, and a few other modules; I need to keep the PHP version right where ...
0
votes
1answer
504 views

Apache PHP not working after Update

Im using Ubuntu 12.04 LTS. There was an Ubuntu-Update yesterday and after starting the pc today my apache php isnt working anymore. I get the download of the php-files instead of the website. I ...
0
votes
1answer
79 views

php version in apt - does it correspond to version on php.net and if not how to upgrade to latest release [duplicate]

So I'm setting up a lamp web server based on ubuntu 13.04 raring. I've installed all required software and run apt-get update and upgrade. When I run php info it reports php version 5.4.9-4ubuntu or ...
0
votes
1answer
3k views

Upgrade PHP 5.3 to 5.4 via putty

I am using Ubuntu 10.04.1 LTS Server with PHP Version 5.3.2-1ubuntu4.19 Apache/2.2.14 (Ubuntu). I login to the server via putty and want to upgrade to php 5.4. I could not find the right commands ...
1
vote
1answer
630 views

How to upgrade the php version from 5.3.x to 5.3.y? [duplicate]

I just downloaded the development release of Drupal8 for testing purpose. When I try to install it shows the following error: Your PHP installation is too old. Drupal requires at least PHP 5.3.10. ...
0
votes
1answer
419 views

Why won't xattr PECL extension build on 12.10?

I was using the xattr pecl extension in 12.04 (in fact, I think since 10.04) without problem. Not surprisingly, I had to reinstall it after upgrading to 12.10 because of the new version of PHP. But ...
0
votes
1answer
826 views

I upgraded my server to 12.10, why does PHP not work with nginx?

I upgraded and now I can't use my nginx's proxy_pass arguments on my Ubuntu server to work with PHP. I keep getting 502 Bad Gateway errors. Why is this, and how do I fix this?
3
votes
1answer
324 views

Upgrading a live 8.04 LTS server to More uptodate version

Running Apache, MySQL, PHP with Moodle 1.9.9 running as a school based CMS. All possible updates for 8.04 have been applied. Moodle 2.x from Versions 2.1 onwards needs Php version 5.3.2 which is ...
1
vote
1answer
594 views

How do I stop a distribution upgrade from upgrading PHP?

I have just upgraded my Ubuntu server to 12.04 - it was completed with just one "problem". PHP has been reinstalled to 5.3.10 from Ubuntu's repos. and I wanted to keep my php package from ...
4
votes
1answer
12k views

Easiest way to upgrade php to latest version? [duplicate]

I'm seeing info on how to upgrade from a specific version to another, and that is what I want to do (currently 3.3.6), but is there a simple command to do this? I'm a complete ubuntu/linux noob so I ...
9
votes
2answers
35k views

PHP not working in Apache2 after system upgrade

Recently upgraded my system from Karmic to Lucid. This involved Apache and PHP being updated I believe. Now my server is unable to handle PHP files, any navigation to them is triggering downloading ...
1
vote
1answer
689 views

Upgrading PHP version from 5.3.3 to 5.3.6 [closed]

I'm trying to upgrade the version of PHP installed on an Ubuntu server 10.10 from 5.3.3 to 5.3.6 I followed the instructions from here and all seemed to go well, but when I run phpinfo() it's still ...
3
votes
6answers
2k views

How to upgrade to a specific version of PHP?

I have an Ubuntu 10.04 Server installation with PHP 5.3.2 installed, I want to upgrade it to PHP 5.3.5. I'm led to believe that apt-get upgrade will only install security updates, we're on this LTS ...